services:
  dartserver:
    platform: linux/amd64
    build:
      context: ..
      dockerfile: x86/Dockerfile
    image: opendartboard-x86:latest
    container_name: opendartboard-x86
    restart: unless-stopped
    privileged: true
    ports:
      - "${OPENDARTBOARD_PORT:-13520}:13520"
    volumes:
      - /dev:/dev
      - ./data:/var/lib/opendartboard
